com.opensymphony.xwork2.ognl.accessor

## Class XWorkEnumerationAccessor

- java.lang.Object
- - ognl.ObjectPropertyAccessor
  - - ognl.EnumerationPropertyAccessor
    - - com.opensymphony.xwork2.ognl.accessor.XWorkEnumerationAccessor

- All Implemented Interfaces:
    ognl.PropertyAccessor

      public class XWorkEnumerationAccessor
      extends ognl.EnumerationPropertyAccessor

  Author:
    plightbo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWorkEnumerationAccessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setProperty(Map context, Object target, Object name, Object value)`

    - ### Methods inherited from class ognl.EnumerationPropertyAccessor

      `getProperty`

    - ### Methods inherited from class ognl.ObjectPropertyAccessor

      `getPossibleProperty, getPropertyClass, getSourceAccessor, getSourceSetter, hasGetProperty, hasGetProperty, hasSetProperty, hasSetProperty, setPossibleProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ognl.PropertyAccessor

      `getSourceAccessor, getSourceSetter`

- - ### Constructor Detail

    - #### XWorkEnumerationAccessor

          public XWorkEnumerationAccessor()

  - ### Method Detail

    - #### setProperty

          public void setProperty(Map context,
                                  Object target,
                                  Object name,
                                  Object value)
                           throws ognl.OgnlException

      Specified by:
        `setProperty` in interface `ognl.PropertyAccessor`
      Overrides:
        `setProperty` in class `ognl.EnumerationPropertyAccessor`
      Throws:
        `ognl.OgnlException`

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.